From 4785ad6337aac8b78224291f0848f25fc8cb41c9 Mon Sep 17 00:00:00 2001
From: Sergey Fedorov <vital.had@gmail.com>
Date: Sat, 18 Nov 2023 16:57:40 +0800
Subject: [PATCH] unix: unbreak macOS < 10.14 (#4230)

From fc70430b09c49032d41ae97db26da10e20941e75 Mon Sep 17 00:00:00 2001
From: Bo Anderson <mail@boanderson.me>
Date: Fri, 24 Nov 2023 10:17:52 +0000
Subject: [PATCH] unix: correct pwritev conditional (#4233)


diff --git a/src/unix/fs.c b/src/unix/fs.c
index 891306daedc..4de0643a6c3 100644
--- a/src/unix/fs.c
+++ b/src/unix/fs.c
@@ -84,7 +84,9 @@
 
 #if defined(__CYGWIN__) ||                                                    \
     (defined(__HAIKU__) && B_HAIKU_VERSION < B_HAIKU_VERSION_1_PRE_BETA_5) || \
-    (defined(__sun) && !defined(__illumos__))
+    (defined(__sun) && !defined(__illumos__)) ||                              \
+    (defined(__APPLE__) && !TARGET_OS_IPHONE &&                               \
+     MAC_OS_X_VERSION_MIN_REQUIRED < 110000)
 #define preadv(fd, bufs, nbufs, off)                                          \
   pread(fd, (bufs)->iov_base, (bufs)->iov_len, off)
 #define pwritev(fd, bufs, nbufs, off)                                         \
